Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.validation
Class ValidatorLogger

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.validation.ValidatorLogger

All Implemented Interfaces:
  SpeciesValidatorReporter

public class ValidatorLogger
extends Object
implements SpeciesValidatorReporter

A Validator reporter that uses log4j

Version:
  $Id: ValidatorLogger.java,v 1.2 2004/03/05 17:34:49 sean_bechhofer Exp $

Constructor Summary
`ValidatorLogger()`

Method Summary
`void` | `done(String level)`
`void` | `explain(int l, int code, String str)` Inform as to why the validator considers the ontology to be in a particular species.
`void` | `message(String str)` General information message.
`void` | `ontology(OWLOntology ontology)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatorLogger

    public ValidatorLogger()

Method Detail

### message

    public void message(String str)

  Description copied from interface: `SpeciesValidatorReporter`
  General information message.

  Specified by:
    `message` in interface `SpeciesValidatorReporter`

### explain

    public void explain(int l,
                        int code,
                        String str)

  Description copied from interface: `SpeciesValidatorReporter`
  Inform as to why the validator considers the ontology to be in a particular species. Includes a possible code providing further detailed information along with a message for human consumption.

  Specified by:
    `explain` in interface `SpeciesValidatorReporter`
  Parameters:
    `l` - an `int` value encoding the species
    `str` - a `String` value

### ontology

    public void ontology(OWLOntology ontology)

  Specified by:
    `ontology` in interface `SpeciesValidatorReporter`

### done

    public void done(String level)

  Specified by:
    `done` in interface `SpeciesValidatorReporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb